Subject: bug#11083: guile-2.0.5 bug report

From: Kiyoshi KANAZAWA <[email-masked]>
Date: Sat, 14 Apr 2012 01:23:44 +0900 (JST)

Hi, Ludovic,

mem_iconveh () returns ENOSYS, in "striconveh.c" line 1139.
This is out of "#if HAVE_ICONV" but in "#else".

Maybe configure did not find "iconv.h".

I built guile again with configure options
  --with-libiconv-prefix=
  --with-libunistring-prefix=
  --with-libltdl-prefix=
  --with-libgmp-prefix=
  --with-libintl-prefix=
and set all the include pathes to CPATH environment for gcc.
With these, make passed without any problem.

I downloaded the latest snapshot "guile-2.0.5.100-0f6dd" and tryed making.
The result is:
(1) with -m64
make passed, and "make check " also passed except for 1 FAIL:
FAIL: time.test: strftime: C99 %z format: EST+5

(2) with -m32
Failed with Segmentation Fault as:
make[3]: Entering directory `/tmp/guile-2.0.5.100-0f6dd'
Testing /tmp/guile-2.0.5.100-0f6dd/meta/guile ...
with GUILE_LOAD_PATH=/tmp/guile-2.0.5.100-0f6dd/test-suite
/bin/bash: line 5: 14661 Segmentation Fault      (core dumped) CHARSETALIASDIR="/tmp/guile-2.0.5.100-0f6dd/lib" ${dir}$tst
FAIL: check-guile

This is less inportant because it occurs in "make check" phase, not in "make" phase.
But if you do not mind helping me, I'll try to find what causes this.
Backtrace is attached as "backtrace.txt".

--- Kiyoshi <[email-masked]>

--- On Fri, 2012/4/13, Ludovic Courtès <[email-masked]> wrote:

> Hi,
> 
> Kiyoshi KANAZAWA <[email-masked]> skribis:
> 
> > % grep ac_cv_libunistring_with_iconv_support config.log
> > ac_cv_libunistring_with_iconv_support=yes
> 
> In that case, could you step through ‘scm_to_stringn’ and its
> ‘mem_iconveh’ call to see where that error value comes from?
> 
> To that end, run Guile from the build tree with
> ‘./meta/gdb-uninstalled-guile’ (substitute “gdb” in that script with the
> actual debugger command name, if needed.)
> 
> Thanks a lot for your help and perseverance!
> 
> Ludo’.
>